.app-promo {
  padding: 5rem 0;
  background: #a0adb3;
  color: #091920;
}

.app-promo .container {
  max-width: 1390px;
  width: 100%;
  padding: 0 0.938rem;
  margin: 0 auto;
}

.app-promo__inner {
  display: flex;
  gap: clamp(1.25rem, 2.6vw, 6.875rem);
  justify-content: space-between;
}

.app-promo__content {
  display: flex;
  flex-direction: column;
}

.app-promo__title {
  max-width: 37.5rem;
  width: 100%;
  margin-bottom: 1.25rem;
  font-weight: 700;
  font-size: clamp(1.625rem, 1.3vw, 2rem);
  letter-spacing: 0.01em;
  text-transform: uppercase;
  color: #091920;
}

.app-promo__description {
  max-width: 37.5rem;
  width: 100%;
  margin-bottom: 3.125rem;
  font-size: clamp(1.125rem, 1.2vw, 1.75rem);
}

.app-promo__list {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
  margin-bottom: 3.125rem;
  list-style: none;
  padding: 0;
}

.app-promo__item {
  display: flex;
  align-items: center;
  gap: clamp(0.9375rem, 1.2vw, 1.5625rem);
  font-size: clamp(1.125rem, 1.2vw, 1.75rem);
}

.app-promo__item svg {
  width: clamp(1.875rem, 2vw, 2.5rem);
  height: clamp(1.875rem, 2vw, 2.5rem);
  flex-shrink: 0;
}

.app-promo__btns {
  display: flex;
  gap: 1.25rem;
}

.app-promo__btn {
  max-width: 17.188rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.75rem 1.25rem;
  background: transparent;
  border: 1px solid #fff;
  border-radius: 0.625rem;
  cursor: pointer;
  transition: background 0.3s ease-in;
}

.app-promo__btn:hover {
  background: rgba(255, 255, 255, 0.1);
}

.app-promo__btn img {
  display: block;
  max-width: 100%;
  height: auto;
}

.app-promo__mockups {
  display: flex;
  flex-direction: column;
}

.app-promo__mockups-logo {
  display: inline-block;
  width: clamp(11.5625rem, 1.5vw, 13.125rem);
  height: auto;
  cursor: pointer;
}

.app-promo__mockups-logo img {
  display: block;
  width: 100%;
  height: 100%;
}

.app-promo__mockups-group {
  display: flex;
  align-items: flex-start;
  margin-top: 1.875rem;
}

.app-promo__mockups-image {
  width: clamp(11.8rem, 1.6vw, 13.625rem);
  height: auto;
  border-radius: 1.25rem;
  overflow: hidden;
}

.app-promo__mockups-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.app-promo__mockups-image:nth-child(1) {
  margin-top: 0;
}
.app-promo__mockups-image:nth-child(2) {
  margin-top: 95px;
  margin-left: -60px;
  z-index: 2;
}
.app-promo__mockups-image:nth-child(3) {
  margin-top: -50px;
  margin-left: -100px;
}
.app-promo__mockups-image:nth-child(4) {
  margin-top: 55px;
  margin-left: -40px;
  z-index: 2;
}

@media (max-width: 1190px) {
  .app-promo__btns {
    flex-direction: column;
  }
}

@media (max-width: 1000px) {
  .app-promo__inner {
    flex-direction: column;
    align-items: center;
  }

  .app-promo__content {
    width: auto;
    margin-bottom: 5rem;
  }

  .app-promo__mockups {
    width: 100%;
    gap: 1.875rem;
    align-items: center;
  }

  .app-promo__mockups-logo {
    width: 10rem;
    margin-bottom: 1.5rem;
  }

  .app-promo__mockups-group {
    max-width: 27.5rem;
    width: 100%;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 0;
  }

  .app-promo__mockups-image:nth-child(1) {
    margin-right: -26px;
  }
  .app-promo__mockups-image:nth-child(2) {
    margin-top: 80px;
    margin-left: -26px;
  }
  .app-promo__mockups-image:nth-child(3) {
    margin-top: -26px;
    margin-right: -26px;
    margin-left: 0;
  }
  .app-promo__mockups-image:nth-child(4) {
    margin-top: 50px;
    margin-left: -26px;
  }
}
